<?php

//Custom Donations Helper
class CustomDonations_Helper {

    public static function VarToBool(&$param = null){
        return self::ToBool($param);
    }
    
    /**
     * Returns false if empty, or a "false" equivalent. Otherwise, returns "true" if not empty.
     * @param mixed $param
     * @return boolean
     */
    public static function ToBool($param = null) {
        if (!boolval($param)) {
            $returnVal = false;
        } else {
            $paramAdj = trim(strtolower($param));
            $returnVal = strlen($paramAdj) > 0 && !($paramAdj === "false") && !($paramAdj === "null") && !($paramAdj === "no") && !($paramAdj === "off") && !($paramAdj === "optional") && !($paramAdj == "disabled");
        }
        return $returnVal;
    }

}
